# encoding: utf-8

# -------------------------------------------------------------------------------
# (C) Copyright 2019 - 2022 Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates
# and licensors (“Micro Focus”) are as may be set forth in the express warranty
# statements accompanying such products and services. Nothing herein should be
# construed as constituting an additional warranty. Micro Focus shall not be
# liable for technical or editorial errors or omissions contained herein. The
# information contained herein is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains confidential
# information and a valid license is required for possession, use or copying. If
# this work is provided to the U.S. Government, consistent with FAR 12.211 and
# 12.212, Commercial Computer Software, Computer Software Documentation, and
# Technical Data for Commercial Items  are licensed to the U.S. Government under
# vendor's standard commercial license.
# -------------------------------------------------------------------------------

# File:	clients/novell-cifs_info.ycp
# Package:	Configuration of novell-cifs
# Summary:	info function dispatcher.
# Authors:	Mark Clark <mclark@novell.com>
#
# $Id: novell-cifs_info.ycp,v 1.1.2.10 2008/03/03 21:20:32 mclark Exp $
#
# info function dispatcher for novell-dns configuration.
module Yast
  class NovellCifsInfoClient < Client
    def main

      textdomain "novell-cifs"

      Yast.import "NovellAddonInstall"

      # The main ()
      Builtins.y2milestone("----------------------------------------")
      Builtins.y2milestone("NovellCifs info started")

      @func = Convert.to_string(WFM.Args(0))
      @param = Convert.to_map(WFM.Args(1))
      @ret = {}

      # return the status of this product
      if @func == "Info"
        @cfg_file = "/etc/sysconfig/novell/NvlCifs" # path to the sysconfig file
        @ret = NovellAddonInstall.ReadConfigFileSettings(@cfg_file)
      else
        Builtins.y2error("unknown function: %1", @func)
      end

      # Finish
      Builtins.y2debug("ret=%1", @ret)
      Builtins.y2milestone("NovellCifs info finished")
      Builtins.y2milestone("----------------------------------------")
      deep_copy(@ret)

      # EOF
    end
  end
end

Yast::NovellCifsInfoClient.new.main
