# encoding: utf-8

# -------------------------------------------------------------------------------
# (C) Copyright 2019 - 2022 Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates
# and licensors (“Micro Focus”) are as may be set forth in the express warranty
# statements accompanying such products and services. Nothing herein should be
# construed as constituting an additional warranty. Micro Focus shall not be
# liable for technical or editorial errors or omissions contained herein. The
# information contained herein is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains confidential
# information and a valid license is required for possession, use or copying. If
# this work is provided to the U.S. Government, consistent with FAR 12.211 and
# 12.212, Commercial Computer Software, Computer Software Documentation, and
# Technical Data for Commercial Items  are licensed to the U.S. Government under
# vendor's standard commercial license.
# ------------------------------------------------------------------------------
# Copyright (c) 2006 Novell, Inc. All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of version 2 of the GNU General Public License as published by the
# Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, contact Novell, Inc.
#
# To contact Novell about this file by physical or electronic mail, you may find
# current contact information at www.novell.com.
# ------------------------------------------------------------------------------

# File:	include/novell-cifs/helps.ycp
# Package:	Configuration of novell-cifs
# Summary:	Help texts of all the dialogs
# Authors:	Mark Clark <mclark@novell.com>
#
# $Id: helps.ycp 27914 2006-02-13 14:32:08Z locilka $
module Yast
  module NovellCifsHelpsInclude
    def initialize_novell_cifs_helps(include_target)
      textdomain "novell-cifs"

      # All helps are here
      @HELPS = {
        # Read dialog help 1/2
        "read"            => _(
          "<p><b><big>Initializing OES CIFS Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ) +
          # Read dialog help 2/2
          _(
            "<p><b><big>Aborting Initialization:</big></b><br>\nSafely abort the configuration utility by pressing <b>Abort</b> now.</p>\n"
          ),
        # Write dialog help 1/2
        "write"           => _(
          "<p><b><big>Saving OES CIFS Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ) +
          # Write dialog help 2/2
          _(
            "<p><b><big>Aborting Saving:</big></b><br>\n" +
              "Abort the save procedure by pressing <b>Abort</b>.\n" +
              "An additional dialog informs whether it is safe to do so.\n" +
              "</p>\n"
          ),
        # Summary dialog help 1/3
        "summary"         => _(
          "<p><b><big>OES CIFS Configuration</big></b><br>\nConfigure novell-cifs here.<br></p>\n"
        ) +
          # Summary dialog help 2/3
          _(
            "<p><b><big>Adding OES CIFS:</big></b><br>\n" +
              "Choose an novell-cifs from the list of detected novell-cifss.\n" +
              "If your novell-cifs was not detected, use <b>Other (not detected)</b>.\n" +
              "Then press <b>Configure</b>.</p>\n"
          ) +
          # Summary dialog help 3/3
          _(
            "<p><b><big>Editing or Deleting:</big></b><br>\n" +
              "If you press <b>Edit</b>, an additional dialog in which to change\n" +
              "the configuration opens.</p>\n"
          ),
        # Ovreview dialog help 1/3
        "overview"        => _(
          "<p><b><big>OES CIFS Configuration Overview</big></b><br>\n" +
            "Obtain an overview of installed OES CIFS. Additionally\n" +
            "edit their configurations.<br></p>\n"
        ) +
          # Ovreview dialog help 2/3
          _(
            "<p><b><big>Adding a OES CIFS:</big></b><br>\nPress <b>Add</b> to configure a OES CIFS.</p>"
          ) +
          # Ovreview dialog help 3/3
          _(
            "<p><b><big>Editing or Deleting:</big></b><br>\n" +
              "Choose a OES CIFS to change or remove.\n" +
              "Then press <b>Edit</b> or <b>Delete</b> as desired.</p>\n"
          ),
        # CIFS Services Configure prolog help 1/1
        "configure_cifs0" => _(
          "<p><b><big>OES CIFS Service Configuration</big></b><br>\nUse this dialog to specify options for configuring a CIFS server.</p>\n"
        ),
        # CIFS Configure LDAP, Secure Channel and Certificates Dialog help 1/5
        "configure_cifs1" => _(
          "<p><b><big>LDAP Port for CIFS Server</big></b><br>\n" +
            "Port for the LDAP operations to use.</p>\n" +
            "\n"
        ) +
          # CIFS Services Configure help 2/5
          _(
            "<p><b><big>Local NCP Server Context</big></b><br>\nIndicates the context for the local NCP Server object (CIFS Server is a part of this NCP Server object).<br>e.g. o=microfocus</p>\n"
          ) +
          # CIFS Configure LDAP, Secure Channel and Certificates Dialog help 3/5
          _(
            "<p><b><big>Proxy User for CIFS Management</big></b><br>\n" +
              "This is the Common Proxy user that was created during eDirectory configuration for managing CIFS service.</p>\n" +
              "<p>During eDirectory configuration, if you have selected the 'Use Common Proxy User as default for OES Products' check box, then the proxy user field is populated with common proxy user name.</p>\n"
          ) +
          # CIFS Configure LDAP, Secure Channel and Certificates Dialog help 4/5
          _(
            "<p><b><big>Credential Storage Location</big></b><br>\nSpecify where the proxy user's credentials are to be stored. It is recommended to use OCS.</p>\n"
          ),
        # CIFS Configure LDAP, Secure Channel and Certificates Dialog help 5/5
        "configure_cifs2" => _(
          "<p><b><big>eDirectory Contexts</big></b><br>\n" +
            "Click Add, then browse to search for an existing eDirectory context or enter an existing eDirectory context.</p>\n" +
            "<p>Displays a list of contexts that are searched when the CIFS User enters a username. The server searches through each context in the list until it finds the correct user object.</p>\n"
        ) +
          _(
            "<p><b><big>Add Proxy User as Trustee of User Contexts</big></b><br>\nDeselecting this option will not grant the CIFS proxy user the rights required over eDirectory contexts to search for a CIFS user in the subtree.</p>\n"
          ) +
          _(
            "<p><b><big>Enable Subtree Search</big></b><br>\nSelecting this option enables CIFS to search for a user in the entire subtree of selected contexts.</p>\n"
          ),
        # CIFS Configure password policies 1/1
        "configure_cifs3" => _(
          "<p><b><big>Select the Password Policies assigned to CIFS Users</big></b><br>\nSelect all the password policies which are assigned to the CIFS Users.</p>\n"
        )
      } 

      # EOF
    end
  end
end
